{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block styles %}
{{super()}}


    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.2/css/bootstrap-select.min.css">
{% endblock %}

{% block app_content %}
    <h3>{{ _('%(t1_title)s!', t1_title=title) }}</h3>
    <br>

    <div class="row">
        <div class="col-md-4">
            {# wtf.quick_form(form) #}

            <form method="POST" action="" enctype="multipart/form-data">
            {{ form.hidden_tag() }}
            {{wtf.form_errors(form, hiddens="only")}}
            <p>
            {# wtf.form_field(form.community_pn) #}
            {{ form.community_pn.label }}
            {{form.community_pn}}
            <br /><br />
            <meta id="meta_community_type" data-playlist="{{form.community_pn.data }}">
            <input type="hidden"  name="hidden_skills" id="hidden_skills" />
            
            </p>

            <p>{{ form.material_pub_rdo_btn_pn.label }}
            {{ wtf.form_field(form.material_pub_rdo_btn_pn) }}
            </p>
            <br>
            <p>{{ form.activate_pn.label }}
            {{ wtf.form_field(form.activate_pn) }}
            </p>
            <br>
        
            
            <div>
                <label for="week">What week would you like to start?</label>
                <input id="week" type="week" name="week"
                     min="2021-W01" max="2021-W52" required>
                <span class="validity"></span>
            </div>
            <p>
                <br>
                <label for="appt">Choose a time:</label>
                <input type="time" id="appt" name="appt"
                       min="08:00" max="17:00" required>
                <small>Runtime hours are 8am to 5pm</small>

            </p>


              <br>
            {{ form.submit }}
            </form>
        </div>
    </div>
{% endblock %}

{% block scripts %}


<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.2/js/bootstrap-select.min.js"></script>


<script>

    $(document).ready(function(){
        const community_type_c = JSON.parse('{{form.community_pn.data|tojson}}');
        $('select[name=community_pn]').val(community_type_c);

        $('#community_pn').change(function(){
         $('#hidden_skills').val($('#community_pn').val());
        });
        
       });



       

</script>
{{super()}}
{% endblock %}
